#ifndef _BANKINIT_H_

#ifdef __cplusplus
extern "C"{
#endif
BOOL InitBank();
BOOL IsValueValid(int value, int min, int max);

extern int g_nMemMode; //0:COM, 1:SEP
extern int g_nBankNumber;  //0: 1 BANK, 1: 2 BANKS, 2: 4BANKS
extern int g_nLowPort, g_nHighPort;//1, P1; 2, P2; ........7, P7
extern int g_nLowBit, g_nHighBit;
extern int g_nLowSignal, g_nHighSignal;

int WINAPI DllLdrGetMemMode();
int WINAPI DllLdrGetBankNumber();
int WINAPI DllLdrGetLowPort();
int WINAPI DllLdrGetLowBit();
int WINAPI DllLdrGetHighPort();
int WINAPI DllLdrGetHighBit();
int WINAPI DllLdrGetHighSignal();
int WINAPI DllLdrGetLowSignal();
void WINAPI DLLLdrShowLine(char* pszBuffer);
void WINAPI DLLLdrShlReshowLine(char * pch, int nLen);

#ifdef __cplusplus
}
#endif

#endif

